Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic.internal.delta
Class PutOperation

    java.lang.Object
      org.infinispan.schematic.internal.delta.Operation
          org.infinispan.schematic.internal.delta.PutOperation

    @SerializeWith(value=PutOperation.Externalizer.class)
    public class PutOperation

extends Operation

An atomic put operation for SchematicValueDelta.

Author:
  (various)

Nested Class Summary
`static class` | `PutOperation.Externalizer`

Field Summary
`protected String` | `fieldName`
`protected Object` | `newValue`
`protected Object` | `oldValue`

Fields inherited from class org.infinispan.schematic.internal.delta.Operation
`parentPath`

Constructor Summary
`PutOperation(Path parentPath, String fieldName, Object oldValue, Object newValue)`

Method Summary
`PutOperation` | `clone()`
`String` | `getFieldName()`
`Object` | `getNewValue()`
`Object` | `getOldValue()`
`void` | `replay(MutableDocument delegate)`
`void` | `rollback(MutableDocument delegate)`
`String` | `toString()`

Methods inherited from class org.infinispan.schematic.internal.delta.Operation
`cloneValue, getParentPath, mutableParent`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fieldName

    protected final String fieldName

### oldValue

    protected final Object oldValue

### newValue

    protected final Object newValue

Constructor Detail

### PutOperation

    public PutOperation(Path parentPath,
                        String fieldName,
                        Object oldValue,
                        Object newValue)

Method Detail

### clone

    public PutOperation clone()

  Specified by:
    `clone` in class `Operation`

### getNewValue

    public Object getNewValue()

### getOldValue

    public Object getOldValue()

### getFieldName

    public String getFieldName()

### rollback

    public void rollback(MutableDocument delegate)

  Specified by:
    `rollback` in class `Operation`

### replay

    public void replay(MutableDocument delegate)

  Specified by:
    `replay` in class `Operation`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.